Show / Hide Table of Contents

# AsyncRenderImageTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncRenderImageTrigger : AsyncTriggerBase<(RenderTexture source, RenderTexture destination)>, IUniTaskAsyncEnumerable<(RenderTexture source, RenderTexture destination)>

##### Inheritance

System.Object → AsyncTriggerBase<System.ValueTuple<RenderTexture, RenderTexture>> → AsyncRenderImageTrigger

##### Implements

IUniTaskAsyncEnumerable<System.ValueTuple<RenderTexture, RenderTexture>>

### Members

#### Methods

Name | Description
--- | ---
GetOnRenderImageAsyncHandler() |
GetOnRenderImageAsyncHandler(CancellationToken) |
OnRenderImageAsync() |
OnRenderImageAsync(CancellationToken) |

### Methods

#### GetOnRenderImageAsyncHandler()

    public IAsyncOnRenderImageHandler GetOnRenderImageAsyncHandler()

##### Returns

IAsyncOnRenderImageHandler

#### GetOnRenderImageAsyncHandler(CancellationToken)

    public IAsyncOnRenderImageHandler GetOnRenderImageAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

IAsyncOnRenderImageHandler

#### OnRenderImageAsync()

    public UniTask<(RenderTexture source, RenderTexture destination)> OnRenderImageAsync()

##### Returns

UniTask<System.ValueTuple<RenderTexture, RenderTexture>>

#### OnRenderImageAsync(CancellationToken)

    public UniTask<(RenderTexture source, RenderTexture destination)> OnRenderImageAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

UniTask<System.ValueTuple<RenderTexture, RenderTexture>>

### Implements

IUniTaskAsyncEnumerable<T>